Subject: compose (in 2.0.5 docs)

From: David Jaquay <[email-masked]>
Date: Sat, 2 Jun 2012 16:06:17 -0400

Docs for compose, in section 6.9.6, might better read "Compose proc with
the procedures in rest, such that [the procedures in rest are applied in
order, followed by] proc last, and return the resulting procedure. The
given procedures must have compatible arity."  The existing text seems to
imply that only the last procedure in rest is executed before proc.

Dave